make

@echo off

set ROOTPATH=C:\devkitpro\libnds
set LIBPATH=%ROOTPATH%\lib
set INCPATH=%ROOTPATH%\include

echo Please verify that those paths are correct.

echo Libnds directory: %ROOTPATH%
echo Include directory: %INCPATH%
echo Library directory: %LIBPATH%

echo If they are not, please close this window now and edit this bat file to set up the correct paths.
echo If they are correct, press any key to continue.

pause

set INCPATH=%INCPATH%\l3d\

echo Copying header files...

md %INCPATH%
md %INCPATH%Actors\

copy include\Liquid3D.h %INCPATH%
copy include\L3DTypes.h %INCPATH%
copy include\CSceneManager.h %INCPATH%
copy include\CRessourceManager.h %INCPATH%
copy include\Actors\CSceneNode.h %INCPATH%Actors\
copy include\Actors\CCubeNode.h %INCPATH%Actors\
copy include\Actors\CCameraNode.h %INCPATH%Actors\
copy include\Actors\CMD2MeshNode.h %INCPATH%Actors\
copy include\Actors\CBinaryMeshNode.h %INCPATH%Actors\
copy include\Actors\MD2.h %INCPATH%Actors\
copy include\Actors\Anorms.h %INCPATH%Actors\
copy include\Actors\CSkydomeNode.h %INCPATH%Actors\

echo Copying libraries...

copy lib/libLiquid3D.a %LIBPATH%

pause